Subject: [Wocky] Gaim 2.0 and Jabber authentication

From: Greg Hudson <[email-masked]>
Date: Tue, 20 Dec 2005 15:24:14 -0500

It looks like Gaim integrated Simon's Cyrus SASL support (not the
dynamically-loaded GSSAPI support) for Jabber on December 17.  Then
they released the beta.  Then on December 19, they reverted Simon's
change to make passwords optional in the Jabber plugin, since that
change broke password authentication if you're not storing the
password.

The code which handles requesting the password for a new connection
has changed a bunch between 1.5 and 2.0, so I'll have to rework my
patch to allow requesting a password after the connection is opened.
I'll also have to rework the Jabber side of that patch against the
Cyrus SASL code instead of the GSSAPI code.